package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * AreaUspEfTsPeriodData对象 area_usp_ef_ts_period_data
 *
 * @author hlf
 * @date 2021-09-28
 */
public class AreaUspEfTsPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long areaNo;

    private Long modelNo;

    private Long timeScale;

    private Date dataTime;

    private Double windSpeed;

    private Double modCoeff;

    private Double energy;

    private Double modEnergy;

    private Long dataFlag;

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setTimeScale(Long timeScale) {
        this.timeScale = timeScale;
    }

    public Long getTimeScale() {
        return timeScale;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setWindSpeed(Double windSpeed) {
        this.windSpeed = windSpeed;
    }

    public Double getWindSpeed() {
        return windSpeed;
    }

    public void setModCoeff(Double modCoeff) {
        this.modCoeff = modCoeff;
    }

    public Double getModCoeff() {
        return modCoeff;
    }

    public void setEnergy(Double energy) {
        this.energy = energy;
    }

    public Double getEnergy() {
        return energy;
    }

    public void setModEnergy(Double modEnergy) {
        this.modEnergy = modEnergy;
    }

    public Double getModEnergy() {
        return modEnergy;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("areaNo", getAreaNo())
                .append("modelNo", getModelNo())
                .append("timeScale", getTimeScale())
                .append("dataTime", getDataTime())
                .append("windSpeed", getWindSpeed())
                .append("modCoeff", getModCoeff())
                .append("energy", getEnergy())
                .append("modEnergy", getModEnergy())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
